Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_recursive_thread_mutex_t Class Reference

Implement a thin C++ wrapper that allows nested acquisition and release of a mutex that occurs in the same thread. More...

`#include <OS_NS_Thread.h>`

List of all members.

## Public Attributes
ACE_thread_mutex_t | nesting_mutex_
| Guards the state of the nesting level and thread id.
ACE_cond_t | lock_available_
int | nesting_level_
| Current nesting level of the recursion.
ACE_thread_t | owner_id_
| Current owner of the lock.

## Detailed Description

Implement a thin C++ wrapper that allows nested acquisition and release of a mutex that occurs in the same thread.

This implementation is based on an algorithm sketched by Dave Butenhof <butenhof@zko.dec.com>. Naturally, I take the credit for any mistakes ;-)

## Member Data Documentation

ACE_cond_t ACE_recursive_thread_mutex_t::lock_available_

| This condition variable suspends other waiting threads until the mutex is available.

int ACE_recursive_thread_mutex_t::nesting_level_

| Current nesting level of the recursion.

ACE_thread_mutex_t ACE_recursive_thread_mutex_t::nesting_mutex_

| Guards the state of the nesting level and thread id.

ACE_thread_t ACE_recursive_thread_mutex_t::owner_id_

| Current owner of the lock.

The documentation for this class was generated from the following file:

- OS_NS_Thread.h